import{s as ns,o as as,n as is}from"../chunks/scheduler.182ea377.js";import{S as rs,i as ls,g as i,s as l,p as h,A as os,h as n,f as t,c as o,j as d,q as m,m as c,k as p,v as a,a as r,r as g,d as v,t as $,u as _}from"../chunks/index.008d68e4.js";import{T as ss}from"../chunks/Tip.4f096367.js";import{D as ue}from"../chunks/Docstring.7aec8b85.js";import{C as Ct}from"../chunks/CodeBlock.5ed6eb7b.js";import{I as Ce}from"../chunks/IconCopyLink.96bbb92b.js";function ps(de){let u,w="To check a specific pipeline or model output, refer to its corresponding API documentation.";return{c(){u=i("p"),u.textContent=w},l(f){u=n(f,"P",{"data-svelte-h":!0}),c(u)!=="svelte-60gd7d"&&(u.textContent=w)},m(f,b){r(f,u,b)},p:is,d(f){f&&t(u)}}}function us(de){let u,w=`You can’t unpack a <code>BaseOutput</code> directly. Use the <a href="/docs/diffusers/v0.25.0/en/api/outputs#diffusers.utils.BaseOutput.to_tuple">to_tuple()</a> method to convert it to a tuple
first.`;return{c(){u=i("p"),u.innerHTML=w},l(f){u=n(f,"P",{"data-svelte-h":!0}),c(u)!=="svelte-32wf13"&&(u.innerHTML=w)},m(f,b){r(f,u,b)},p:is,d(f){f&&t(u)}}}function ds(de){let u,w,f,b,Oe,F,ut,fe,Ot="Outputs",He,J,Lt='All model outputs are subclasses of <a href="/docs/diffusers/v0.25.0/en/api/outputs#diffusers.utils.BaseOutput">BaseOutput</a>, data structures containing all the information returned by the model. The outputs can also be used as tuples or dictionaries.',Ne,j,Tt="For example:",Be,Z,Ve,q,kt='The <code>outputs</code> object is a <a href="/docs/diffusers/v0.25.0/en/api/pipelines/consistency_models#diffusers.ImagePipelineOutput">ImagePipelineOutput</a> which means it has an image attribute.',Se,R,Et="You can access each attribute as you normally would or with a keyword lookup, and if that attribute is not returned by the model, you will get <code>None</code>:",Ue,G,ze,W,At=`When considering the <code>outputs</code> object as a tuple, it only considers the attributes that don’t have <code>None</code> values.
For instance, retrieving an image by indexing into it returns the tuple <code>(outputs.images)</code>:`,De,Q,Fe,A,Je,P,M,Le,X,dt,ce,Mt="BaseOutput",je,x,Y,ft,he,Ht=`Base class for all model outputs as dataclass. Has a <code>__getitem__</code> that allows indexing by integer or slice (like a
tuple) or strings (like a dictionary) that will ignore the <code>None</code> attributes. Otherwise behaves like a regular
Python dictionary.`,ct,H,ht,N,K,mt,me,Nt="Convert self to a tuple containing all the attributes/keys that are not <code>None</code>.",Ze,I,B,Te,ee,gt,ge,Bt="ImagePipelineOutput",qe,C,te,vt,ve,Vt="Output class for image pipelines.",Re,O,V,ke,se,$t,$e,St="FlaxImagePipelineOutput",Ge,y,ie,_t,_e,Ut="Output class for image pipelines.",xt,S,ne,bt,xe,zt="“Returns a new object replacing the specified fields with new values.",We,L,U,Ee,ae,yt,be,Dt="AudioPipelineOutput",Qe,T,re,wt,ye,Ft="Output class for audio pipelines.",Xe,k,z,Ae,le,Pt,we,Jt="ImageTextPipelineOutput",Ye,E,oe,It,Pe,jt="Output class for joint image-text pipelines.",Ke;return F=new Ce({}),Z=new Ct({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERESU1QaXBlbGluZSUwQSUwQXBpcGVsaW5lJTIwJTNEJTIwRERJTVBpcGVsaW5lLmZyb21fcHJldHJhaW5lZCglMjJnb29nbGUlMkZkZHBtLWNpZmFyMTAtMzIlMjIpJTBBb3V0cHV0cyUyMCUzRCUyMHBpcGVsaW5lKCk=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DDIMPipeline

pipeline = DDIMPipeline.from_pretrained(<span class="hljs-string">&quot;google/ddpm-cifar10-32&quot;</span>)
outputs = pipeline()`}}),G=new Ct({props:{code:"b3V0cHV0cy5pbWFnZXMlMEFvdXRwdXRzJTVCJTIyaW1hZ2VzJTIyJTVE",highlighted:`outputs.images
outputs[<span class="hljs-string">&quot;images&quot;</span>]`}}),Q=new Ct({props:{code:"b3V0cHV0cyU1QiUzQTElNUQ=",highlighted:'outputs[:<span class="hljs-number">1</span>]'}}),A=new ss({props:{$$slots:{default:[ps]},$$scope:{ctx:de}}}),X=new Ce({}),Y=new ue({props:{name:"class diffusers.utils.BaseOutput",anchor:"diffusers.utils.BaseOutput",parameters:"",source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/utils/outputs.py#L40"}}),H=new ss({props:{warning:!0,$$slots:{default:[us]},$$scope:{ctx:de}}}),K=new ue({props:{name:"to_tuple",anchor:"diffusers.utils.BaseOutput.to_tuple",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/utils/outputs.py#L126"}}),ee=new Ce({}),te=new ue({props:{name:"class diffusers.ImagePipelineOutput",anchor:"diffusers.ImagePipelineOutput",parameters:[{name:"images",val:": Union"}],parametersDescription:[{anchor:"diffusers.ImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/pipelines/pipeline_utils.py#L115"}}),se=new Ce({}),ie=new ue({props:{name:"class diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",parameters:[{name:"images",val:": Union"}],parametersDescription:[{anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/pipelines/pipeline_flax_utils.py#L87"}}),ne=new ue({props:{name:"replace",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/flax/struct.py#L110"}}),ae=new Ce({}),re=new ue({props:{name:"class diffusers.AudioPipelineOutput",anchor:"diffusers.AudioPipelineOutput",parameters:[{name:"audios",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.AudioPipelineOutput.audios",description:`<strong>audios</strong> (<code>np.ndarray</code>) &#x2014;
List of denoised audio samples of a NumPy array of shape <code>(batch_size, num_channels, sample_rate)</code>.`,name:"audios"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/pipelines/pipeline_utils.py#L129"}}),le=new Ce({}),oe=new ue({props:{name:"class diffusers.ImageTextPipelineOutput",anchor:"diffusers.ImageTextPipelineOutput",parameters:[{name:"images",val:": Union"},{name:"text",val:": Union"}],parametersDescription:[{anchor:"diffusers.ImageTextPipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"},{anchor:"diffusers.ImageTextPipelineOutput.text",description:`<strong>text</strong> (<code>List[str]</code> or <code>List[List[str]]</code>) &#x2014;
List of generated text strings of length <code>batch_size</code> or a list of list of strings whose outer list has
length <code>batch_size</code>.`,name:"text"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/pipelines/unidiffuser/pipeline_unidiffuser.py#L33"}}),{c(){u=i("meta"),w=l(),f=i("h1"),b=i("a"),Oe=i("span"),h(F.$$.fragment),ut=l(),fe=i("span"),fe.textContent=Ot,He=l(),J=i("p"),J.innerHTML=Lt,Ne=l(),j=i("p"),j.textContent=Tt,Be=l(),h(Z.$$.fragment),Ve=l(),q=i("p"),q.innerHTML=kt,Se=l(),R=i("p"),R.innerHTML=Et,Ue=l(),h(G.$$.fragment),ze=l(),W=i("p"),W.innerHTML=At,De=l(),h(Q.$$.fragment),Fe=l(),h(A.$$.fragment),Je=l(),P=i("h2"),M=i("a"),Le=i("span"),h(X.$$.fragment),dt=l(),ce=i("span"),ce.textContent=Mt,je=l(),x=i("div"),h(Y.$$.fragment),ft=l(),he=i("p"),he.innerHTML=Ht,ct=l(),h(H.$$.fragment),ht=l(),N=i("div"),h(K.$$.fragment),mt=l(),me=i("p"),me.innerHTML=Nt,Ze=l(),I=i("h2"),B=i("a"),Te=i("span"),h(ee.$$.fragment),gt=l(),ge=i("span"),ge.textContent=Bt,qe=l(),C=i("div"),h(te.$$.fragment),vt=l(),ve=i("p"),ve.textContent=Vt,Re=l(),O=i("h2"),V=i("a"),ke=i("span"),h(se.$$.fragment),$t=l(),$e=i("span"),$e.textContent=St,Ge=l(),y=i("div"),h(ie.$$.fragment),_t=l(),_e=i("p"),_e.textContent=Ut,xt=l(),S=i("div"),h(ne.$$.fragment),bt=l(),xe=i("p"),xe.textContent=zt,We=l(),L=i("h2"),U=i("a"),Ee=i("span"),h(ae.$$.fragment),yt=l(),be=i("span"),be.textContent=Dt,Qe=l(),T=i("div"),h(re.$$.fragment),wt=l(),ye=i("p"),ye.textContent=Ft,Xe=l(),k=i("h2"),z=i("a"),Ae=i("span"),h(le.$$.fragment),Pt=l(),we=i("span"),we.textContent=Jt,Ye=l(),E=i("div"),h(oe.$$.fragment),It=l(),Pe=i("p"),Pe.textContent=jt,this.h()},l(e){const s=os("svelte-1phssyn",document.head);u=n(s,"META",{name:!0,content:!0}),s.forEach(t),w=o(e),f=n(e,"H1",{class:!0});var pe=d(f);b=n(pe,"A",{id:!0,class:!0,href:!0});var Me=d(b);Oe=n(Me,"SPAN",{});var Zt=d(Oe);m(F.$$.fragment,Zt),Zt.forEach(t),Me.forEach(t),ut=o(pe),fe=n(pe,"SPAN",{"data-svelte-h":!0}),c(fe)!=="svelte-83a4ap"&&(fe.textContent=Ot),pe.forEach(t),He=o(e),J=n(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-1t5h1f5"&&(J.innerHTML=Lt),Ne=o(e),j=n(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-1gkqha7"&&(j.textContent=Tt),Be=o(e),m(Z.$$.fragment,e),Ve=o(e),q=n(e,"P",{"data-svelte-h":!0}),c(q)!=="svelte-1bpdx9c"&&(q.innerHTML=kt),Se=o(e),R=n(e,"P",{"data-svelte-h":!0}),c(R)!=="svelte-1ntwqaz"&&(R.innerHTML=Et),Ue=o(e),m(G.$$.fragment,e),ze=o(e),W=n(e,"P",{"data-svelte-h":!0}),c(W)!=="svelte-qzd8sf"&&(W.innerHTML=At),De=o(e),m(Q.$$.fragment,e),Fe=o(e),m(A.$$.fragment,e),Je=o(e),P=n(e,"H2",{class:!0});var et=d(P);M=n(et,"A",{id:!0,class:!0,href:!0});var qt=d(M);Le=n(qt,"SPAN",{});var Rt=d(Le);m(X.$$.fragment,Rt),Rt.forEach(t),qt.forEach(t),dt=o(et),ce=n(et,"SPAN",{"data-svelte-h":!0}),c(ce)!=="svelte-1bpig2d"&&(ce.textContent=Mt),et.forEach(t),je=o(e),x=n(e,"DIV",{class:!0});var D=d(x);m(Y.$$.fragment,D),ft=o(D),he=n(D,"P",{"data-svelte-h":!0}),c(he)!=="svelte-1qra1r9"&&(he.innerHTML=Ht),ct=o(D),m(H.$$.fragment,D),ht=o(D),N=n(D,"DIV",{class:!0});var tt=d(N);m(K.$$.fragment,tt),mt=o(tt),me=n(tt,"P",{"data-svelte-h":!0}),c(me)!=="svelte-1gdpts"&&(me.innerHTML=Nt),tt.forEach(t),D.forEach(t),Ze=o(e),I=n(e,"H2",{class:!0});var st=d(I);B=n(st,"A",{id:!0,class:!0,href:!0});var Gt=d(B);Te=n(Gt,"SPAN",{});var Wt=d(Te);m(ee.$$.fragment,Wt),Wt.forEach(t),Gt.forEach(t),gt=o(st),ge=n(st,"SPAN",{"data-svelte-h":!0}),c(ge)!=="svelte-1ula3t"&&(ge.textContent=Bt),st.forEach(t),qe=o(e),C=n(e,"DIV",{class:!0});var it=d(C);m(te.$$.fragment,it),vt=o(it),ve=n(it,"P",{"data-svelte-h":!0}),c(ve)!=="svelte-19wetgi"&&(ve.textContent=Vt),it.forEach(t),Re=o(e),O=n(e,"H2",{class:!0});var nt=d(O);V=n(nt,"A",{id:!0,class:!0,href:!0});var Qt=d(V);ke=n(Qt,"SPAN",{});var Xt=d(ke);m(se.$$.fragment,Xt),Xt.forEach(t),Qt.forEach(t),$t=o(nt),$e=n(nt,"SPAN",{"data-svelte-h":!0}),c($e)!=="svelte-1492dzw"&&($e.textContent=St),nt.forEach(t),Ge=o(e),y=n(e,"DIV",{class:!0});var Ie=d(y);m(ie.$$.fragment,Ie),_t=o(Ie),_e=n(Ie,"P",{"data-svelte-h":!0}),c(_e)!=="svelte-19wetgi"&&(_e.textContent=Ut),xt=o(Ie),S=n(Ie,"DIV",{class:!0});var at=d(S);m(ne.$$.fragment,at),bt=o(at),xe=n(at,"P",{"data-svelte-h":!0}),c(xe)!=="svelte-5ihtpa"&&(xe.textContent=zt),at.forEach(t),Ie.forEach(t),We=o(e),L=n(e,"H2",{class:!0});var rt=d(L);U=n(rt,"A",{id:!0,class:!0,href:!0});var Yt=d(U);Ee=n(Yt,"SPAN",{});var Kt=d(Ee);m(ae.$$.fragment,Kt),Kt.forEach(t),Yt.forEach(t),yt=o(rt),be=n(rt,"SPAN",{"data-svelte-h":!0}),c(be)!=="svelte-14yt0be"&&(be.textContent=Dt),rt.forEach(t),Qe=o(e),T=n(e,"DIV",{class:!0});var lt=d(T);m(re.$$.fragment,lt),wt=o(lt),ye=n(lt,"P",{"data-svelte-h":!0}),c(ye)!=="svelte-19ryw33"&&(ye.textContent=Ft),lt.forEach(t),Xe=o(e),k=n(e,"H2",{class:!0});var ot=d(k);z=n(ot,"A",{id:!0,class:!0,href:!0});var es=d(z);Ae=n(es,"SPAN",{});var ts=d(Ae);m(le.$$.fragment,ts),ts.forEach(t),es.forEach(t),Pt=o(ot),we=n(ot,"SPAN",{"data-svelte-h":!0}),c(we)!=="svelte-z6ncwe"&&(we.textContent=Jt),ot.forEach(t),Ye=o(e),E=n(e,"DIV",{class:!0});var pt=d(E);m(oe.$$.fragment,pt),It=o(pt),Pe=n(pt,"P",{"data-svelte-h":!0}),c(Pe)!=="svelte-1i2ycus"&&(Pe.textContent=jt),pt.forEach(t),this.h()},h(){p(u,"name","hf:doc:metadata"),p(u,"content",JSON.stringify(fs)),p(b,"id","outputs"),p(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(b,"href","#outputs"),p(f,"class","relative group"),p(M,"id","diffusers.utils.BaseOutput"),p(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(M,"href","#diffusers.utils.BaseOutput"),p(P,"class","relative group"),p(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(B,"id","diffusers.ImagePipelineOutput"),p(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(B,"href","#diffusers.ImagePipelineOutput"),p(I,"class","relative group"),p(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(V,"id","diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput"),p(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(V,"href","#diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput"),p(O,"class","relative group"),p(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(U,"id","diffusers.AudioPipelineOutput"),p(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(U,"href","#diffusers.AudioPipelineOutput"),p(L,"class","relative group"),p(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(z,"id","diffusers.ImageTextPipelineOutput"),p(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(z,"href","#diffusers.ImageTextPipelineOutput"),p(k,"class","relative group"),p(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){a(document.head,u),r(e,w,s),r(e,f,s),a(f,b),a(b,Oe),g(F,Oe,null),a(f,ut),a(f,fe),r(e,He,s),r(e,J,s),r(e,Ne,s),r(e,j,s),r(e,Be,s),g(Z,e,s),r(e,Ve,s),r(e,q,s),r(e,Se,s),r(e,R,s),r(e,Ue,s),g(G,e,s),r(e,ze,s),r(e,W,s),r(e,De,s),g(Q,e,s),r(e,Fe,s),g(A,e,s),r(e,Je,s),r(e,P,s),a(P,M),a(M,Le),g(X,Le,null),a(P,dt),a(P,ce),r(e,je,s),r(e,x,s),g(Y,x,null),a(x,ft),a(x,he),a(x,ct),g(H,x,null),a(x,ht),a(x,N),g(K,N,null),a(N,mt),a(N,me),r(e,Ze,s),r(e,I,s),a(I,B),a(B,Te),g(ee,Te,null),a(I,gt),a(I,ge),r(e,qe,s),r(e,C,s),g(te,C,null),a(C,vt),a(C,ve),r(e,Re,s),r(e,O,s),a(O,V),a(V,ke),g(se,ke,null),a(O,$t),a(O,$e),r(e,Ge,s),r(e,y,s),g(ie,y,null),a(y,_t),a(y,_e),a(y,xt),a(y,S),g(ne,S,null),a(S,bt),a(S,xe),r(e,We,s),r(e,L,s),a(L,U),a(U,Ee),g(ae,Ee,null),a(L,yt),a(L,be),r(e,Qe,s),r(e,T,s),g(re,T,null),a(T,wt),a(T,ye),r(e,Xe,s),r(e,k,s),a(k,z),a(z,Ae),g(le,Ae,null),a(k,Pt),a(k,we),r(e,Ye,s),r(e,E,s),g(oe,E,null),a(E,It),a(E,Pe),Ke=!0},p(e,[s]){const pe={};s&2&&(pe.$$scope={dirty:s,ctx:e}),A.$set(pe);const Me={};s&2&&(Me.$$scope={dirty:s,ctx:e}),H.$set(Me)},i(e){Ke||(v(F.$$.fragment,e),v(Z.$$.fragment,e),v(G.$$.fragment,e),v(Q.$$.fragment,e),v(A.$$.fragment,e),v(X.$$.fragment,e),v(Y.$$.fragment,e),v(H.$$.fragment,e),v(K.$$.fragment,e),v(ee.$$.fragment,e),v(te.$$.fragment,e),v(se.$$.fragment,e),v(ie.$$.fragment,e),v(ne.$$.fragment,e),v(ae.$$.fragment,e),v(re.$$.fragment,e),v(le.$$.fragment,e),v(oe.$$.fragment,e),Ke=!0)},o(e){$(F.$$.fragment,e),$(Z.$$.fragment,e),$(G.$$.fragment,e),$(Q.$$.fragment,e),$(A.$$.fragment,e),$(X.$$.fragment,e),$(Y.$$.fragment,e),$(H.$$.fragment,e),$(K.$$.fragment,e),$(ee.$$.fragment,e),$(te.$$.fragment,e),$(se.$$.fragment,e),$(ie.$$.fragment,e),$(ne.$$.fragment,e),$(ae.$$.fragment,e),$(re.$$.fragment,e),$(le.$$.fragment,e),$(oe.$$.fragment,e),Ke=!1},d(e){e&&(t(w),t(f),t(He),t(J),t(Ne),t(j),t(Be),t(Ve),t(q),t(Se),t(R),t(Ue),t(ze),t(W),t(De),t(Fe),t(Je),t(P),t(je),t(x),t(Ze),t(I),t(qe),t(C),t(Re),t(O),t(Ge),t(y),t(We),t(L),t(Qe),t(T),t(Xe),t(k),t(Ye),t(E)),t(u),_(F),_(Z,e),_(G,e),_(Q,e),_(A,e),_(X),_(Y),_(H),_(K),_(ee),_(te),_(se),_(ie),_(ne),_(ae),_(re),_(le),_(oe)}}}const fs={local:"outputs",sections:[{local:"diffusers.utils.BaseOutput",title:"BaseOutput"},{local:"diffusers.ImagePipelineOutput",title:"ImagePipelineOutput"},{local:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",title:"FlaxImagePipelineOutput"},{local:"diffusers.AudioPipelineOutput",title:"AudioPipelineOutput"},{local:"diffusers.ImageTextPipelineOutput",title:"ImageTextPipelineOutput"}],title:"Outputs"};function cs(de){return as(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xs extends rs{constructor(u){super(),ls(this,u,cs,ds,ns,{})}}export{xs as component};
